Subject: [Sip] Section 18.1.1 (on MTU and transport) of RFC 3261 and SigComp

From: Joachim Kroß <[email-masked]>
Date: Thu, 23 Oct 2003 11:50:18 +0200

Dear all,

I asked this question on the sip-implementors list some time ago, but it
seems no one is implementing this yet. So please permit me to ask this
question here where SIP itself is being developed.

I am wondering how the selection of the transport protocol described in
section 18.1.1 of RFC 3261 (i.e. for requests greater path MTU - 200, or
greater 1300 if the path MTU is unknown, TCP MUST be used) is done in
the presence of SigComp. Is the decision whether TCP shall be used made
based on the length of the uncompressed or the compressed request? Is
there any normative reference for this (I haven't found one)?

Thank you!

Regards,
Joachim

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Thu, 23 Oct 2003 14:13:12 +0300

That's a really good question.

It makes more sense to measure the request after compressing it, since doing so before compression gives you false indication. But if after compression you realise that the message is actually greater than path MTU - 200, or greater 1300 if the path MTU is unknown (can certainly happen with the first compressed message), then you need to go back and change all the headers that need changing and thereafter compress again.

Regards,
Hisham

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Joachim Kroß
> Sent: Thursday, October 23, 2003 12:50 PM
> To: [email-masked]
> Subject: [Sip] Section 18.1.1 (on MTU and transport) of RFC 3261 and
> SigComp
> 
> 
> Dear all,
>

---

From: "Srivastava, Samir" <[email-masked]>
Date: Thu, 23 Oct 2003 13:24:27 -0600

Max Path MTU size cannot be assumed to 1500, even if Ethernet is there. It
might be changed administratively, due to various reasons. I think it
is good to look into the work of Path MTU discovery group. And put some
recommendations for transporting SIP.

Regards
Samir

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, October 23, 2003 4:13 AM
To: [email-masked]; [email-masked]
Subject: RE: [Sip] Section 18.1.1 (on MTU and transport) of RFC 3261 and SigComp

Regards,
Hisham